SDL-0.6.6.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Rect

Description

# Documentation

data Rect Source #

Constructors

Rect |

Fields

- rectX, rectY :: Int
- rectW, rectH :: Int

Instances

Eq Rect Source # |
Methods (==) :: Rect -> Rect -> Bool # (/=) :: Rect -> Rect -> Bool #
Ord Rect Source # |
Methods compare :: Rect -> Rect -> Ordering # (<) :: Rect -> Rect -> Bool # (<=) :: Rect -> Rect -> Bool # (>) :: Rect -> Rect -> Bool # (>=) :: Rect -> Rect -> Bool # max :: Rect -> Rect -> Rect # min :: Rect -> Rect -> Rect #
Show Rect Source # |
Methods showsPrec :: Int -> Rect -> ShowS # show :: Rect -> String # showList :: [Rect] -> ShowS #
Storable Rect Source # |
Methods sizeOf :: Rect -> Int # alignment :: Rect -> Int # peekElemOff :: Ptr Rect -> Int -> IO Rect # pokeElemOff :: Ptr Rect -> Int -> Rect -> IO () # peekByteOff :: Ptr b -> Int -> IO Rect # pokeByteOff :: Ptr b -> Int -> Rect -> IO () # peek :: Ptr Rect -> IO Rect # poke :: Ptr Rect -> Rect -> IO () #